dpp::poll_results
message.h
dpp::poll_results::answer_count
std::map< uint32_t, answer_count > std::map<uint32_t, answer_count> dpp::poll_results::answer_counts answer_counts dpp::poll_results::answer_counts

Count of votes for each answer. If an answer is not present in this list, then its vote count is 0.

bool bool dpp::poll_results::is_finalized is_finalized dpp::poll_results::is_finalized {false}

Whether the poll has finalized, and the answers are precisely counted.

Discord states that due to the way they count and cache answers, while a poll is running the count of answers might not be accurate.

Represents the results of a poll.

https://discord.com/developers/docs/resources/poll#poll-results-object-poll-results-object-structure

K
T
bool
dpp::poll_results
is_finalized
answer_counts
dpp::poll_results::answer_count
answer_id
count
me_voted
std::map< K, T >
keys
elements
std::map< uint32_t, dpp::poll_results::answer_count >
keys
elements
< uint32_t, dpp::poll_results::answer_count >
uint32_t
- dpp::poll_results
  answer_counts
- dpp::poll_results
  is_finalized